---
title: Alchemy Beta 5.0.0.40120
date: 2017-01-08T13:34
authors: [luminous]
tags: [alchemy, beta, release]
hide_table_of_contents: false
---

*"The Time has come," the Walrus said,*
*"To talk of many things:" --Through the Looking Glass*

We have a fresh new Alchemy beta release for you all to play with and it's a humdinger.  

<!--truncate-->

Of course, the change you've all been waiting for, Bento support.  You'll now be able to appreciate rigged mesh attachments that make use of an expanded skeleton. This includes bones for wings, tails, centaur legs, articulated hands and a myriad of other things.

Additionally, Bento has an extended list of attachment points for you to take advantage of. From ring finger to tail tip, you should be able to find new ways to enjoy them.

With Bento comes an 'undeform' feature.  If you see a deformed avatar, just right click and select "Reset Skeleton".  If that doesn't work, you can try "Reset Skeleton and Animations".

That isn't all! In addition to the Bento changes, we've added a slew of right click estate management options in various places.  Estate managers now have greater flexibility in dealing with ne'er-do-wells.  Right-click Users within your estate to find out about your new options.

This version integrates code from the Second Life Viewer version 5.0.0 and includes the various fixes and improvements up to that version from Linden Labs.

Additionally, there are a large assortment of bug fixes and refinements from the Alchemy team as well as more up to date libraries then what you would find in the mainline SL viewer.

It is of note that CEF has dropped support for Vista and due to this, we will no longer be providing support for Windows Vista.

We are in the process of reorganizing some of the UI, particularly in settings.  Those who wish to hunt for bugs should be on the lookout for stray text overlapping other text.  Also, keep a look out for any oddities in the right-click context menus.

As always, you should submit any bugs to the [Alchemy JIRA](https://alchemy.atlassian.net/projects/ALCH/issues).  Reporting issues there ensures your issue is documented and tracked (and included in release notes).  Talking about it in group chat or messaging Alchemy staff is great, but invites human forgetfulness.  When reporting bugs to the JIRA do take care to report only one issue at a time per report.  Don't make a list of bugs in a single report, it defeats the purpose of using an issue tracker.

While we are on the subject, we welcome feature requests and encourage you to use the JIRA to submit them; however, please use one JIRA issue per suggestion. Multiple feature requests/suggestions in the same JIRA defeats the purpose and forces Sovereign Engineer to ritualistically slaughter a kitten (not really).  So please, think of the kittens, one feature per request.

#### KNOWN ISSUES:

* CEF is currently broken on macOS. Resizing the window will restore visibility. We are working on a fix.

# 💾 Download it!
* Windows ( TBA | [x86_64][Windows x64] )
* macOS ( [x86_64][Mac x64] )
* Linux ( TBA )
* [Full release notes][Release Notes]

[Windows x86]: https://depot.alchemyviewer.org/pub/windows/release/Alchemy_Beta_5_0_0_40120_i686_Setup.exe
[Windows x64]: https://depot.alchemyviewer.org/pub/windows64/release/Alchemy_Beta_5_0_0_40120_x86_64_Setup.exe
[Mac x64]: https://depot.alchemyviewer.org/pub/mac/release/Alchemy_Beta_5_0_0_40120_x86_64.dmg
[Linux x64]: https://depot.alchemyviewer.org/pub/linux64/release/Alchemy_Beta_5_0_0_40120_x86_64.tar.xz
[Release Notes]: https://alchemy.atlassian.net/wiki/display/ALCH/Alchemy+Beta+5.0.0.40120
