---
title: About
description: About the Alchemy project and team
hide_table_of_contents: true
---

Alchemy is a Second Life™ and OpenMetaverse compatible viewer striving to be at the forefront of stability, performance, and technological advancement in the open-source metaverse viewer field. We are always based on the latest release code from Linden Lab, and are currently in active development with new features, bug fixes, and performance optimizations landing in our source code repository nearly every day! We welcome new contributors so please feel free to get in contact with any of us either in world or at our [Discord](https://discordapp.com/invite/KugCgs6).

### Meet The Team

import TeamList from '@site/src/components/AboutTeam';

<TeamList />

### Software Provided to us graciously
import ThemedImage from '@theme/ThemedImage';
import useBaseUrl from '@docusaurus/useBaseUrl';
import JetbrainsLogo from '@site/static/img/jetbrains.svg';

[<ThemedImage
  alt="GitLab Logo"
  sources={{
    light: useBaseUrl('/img/gitlab_logo_black.svg'),
    dark: useBaseUrl('/img/gitlab_logo_white.svg'),
  }}
  width={400}
/>
](https://about.gitlab.com/)

[<ThemedImage
  alt="Sentry Logo"
  sources={{
    light: useBaseUrl('/img/sentry-wordmark-dark.svg'),
    dark: useBaseUrl('/img/sentry-wordmark-light.svg'),
  }}
  width={350}
/>](https://sentry.io/welcome/)


[<JetbrainsLogo title="Jetbrains Logo" className="jetbrainslogo" />](https://www.jetbrains.com/)

[![macstadium](./macstadium-logo.webp)](https://www.macstadium.com)
