---
title: Downloads
description: Alchemy Viewer Downloads
hide_table_of_contents: false
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Downloads

This software is not provided or supported by Linden Lab, the maker's of Second Life. As no dedicated support team is in place, no user support can be guaranteed. Please join our [Discord](https://discordapp.com/invite/KugCgs6) or our in world group [.:[Alchemy Viewer]:.](secondlife:///app/group/8a5268a4-af8d-f2a5-6d82-29cd322210d1/about) for community provided support.

## Alchemy Beta

<details open>
<summary>Alchemy Beta 7.1.4.2442</summary>

Alchemy is excited to expand material support with the ability to import and edit GLTF Physically Based Rendering (PBR) Materials. 

**Changes:**
* Add Marketplace button to toolbox and `Me->Marketplace..`
* Update to more performant JSON parser
* Fix estate managers randomly flying on teleport
* Fix mac shutdown crash
* Fix freezing when opening preferences when many chat logs are present
* Fix collapse floater button being visible on non-functional floaters
* Fix inventory and item property windows not functioning correctly

<Tabs>
  <TabItem value="pbrWindows" label="Windows" default>

[Windows Installer x64](https://git.alchemyviewer.org/api/v4/projects/78/packages/generic/Alchemy_Beta/7.1.4.2442/Alchemy_Beta_7_1_4_2442_x86_64_Setup.exe)

SHA256: `fe649d1d9aa271003a05a91b1cf38d3937d896c59ddddac42b8241b4eae3ad9e`

  </TabItem>
  <TabItem value="pbrMac" label="macOS">

[macOS DMG Package](https://git.alchemyviewer.org/api/v4/projects/78/packages/generic/Alchemy_Beta/7.1.4.2442/Alchemy_Beta_7_1_4_2442_x86_64.dmg)

SHA256: `aa87955bd88396d1a34099e51c25570a274c49a6d43f2b1acd650a4b33f6b2d7`

  </TabItem>
  <TabItem value="pbrLinux" label="Linux">

[Linux Package x64](https://git.alchemyviewer.org/api/v4/projects/78/packages/generic/Alchemy_Beta/7.1.4.2442/Alchemy_Beta_7_1_4_2442_x86_64.tar.xz)

SHA256: `02f96af8fb7fc691c305cf96e44f8cf7263839a07377ee43e20aa9b49ca5cd2b`

  </TabItem>
</Tabs>

[🖥️ Source Code](https://git.alchemyviewer.org/alchemy/viewer/-/releases/7.1.4.2442-beta)
</details>

<!--

## Alchemy Projects

### Dingo 6.11.1989

<Tabs>
  <TabItem value="pbrWindows" label="Windows" default>

[Windows x64](https://git.alchemyviewer.org/api/v4/projects/78/packages/generic/Alchemy_Project_DynamicDingo/6.11.1989/Alchemy_Project_DynamicDingo_6_11_1989_x86_64_Setup.exe)

  </TabItem>
  <TabItem value="pbrMac" label="macOS">

[macOS Universal](https://git.alchemyviewer.org/api/v4/projects/78/packages/generic/Alchemy_Project_DynamicDingo/6.11.1989/Alchemy_Project_DynamicDingo_6_11_1989_x86_64.dmg)

  </TabItem>
  <TabItem value="pbrLinux" label="Linux">

[Linux x64](https://git.alchemyviewer.org/api/v4/projects/78/packages/generic/Alchemy_Project_DynamicDingo/6.11.1989/Alchemy_Project_DynamicDingo_6_11_1989_x86_64.tar.xz)

  </TabItem>
</Tabs>
-->
<!-- 
<details>
<summary>GLTF PBR 7.0.0.2190</summary>

Alchemy is excited to expand material support with the ability to import and edit GLTF Physically Based Rendering (PBR) Materials. 

<Tabs>
  <TabItem value="pbrWindows" label="Windows" default>

[Windows x64](https://git.alchemyviewer.org/api/v4/projects/200/packages/generic/Alchemy_Project_PBR/7.0.0.2190/Alchemy_Project_PBR_7_0_0_2190_x86_64_Setup.exe)

SHA256: `c8e17564cea0e726fe60188146a1cfa90aca543b23e4bf6a10b8fc2b8c4dfb8f`

  </TabItem>
  <TabItem value="pbrMac" label="macOS">

[macOS Universal](https://git.alchemyviewer.org/api/v4/projects/200/packages/generic/Alchemy_Project_PBR/7.0.0.2190/Alchemy_Project_PBR_7_0_0_2190_x86_64.dmg)

SHA256: `036917578b10a16b12d393ca48ec0c8f64a4b8927f03c0a52fceb6a403f8fcb4`

  </TabItem>
  <TabItem value="pbrLinux" label="Linux">

[Linux x64](https://git.alchemyviewer.org/api/v4/projects/200/packages/generic/Alchemy_Project_PBR/7.0.0.2190/Alchemy_Project_PBR_7_0_0_2190_x86_64.tar.xz)

SHA256: `87af478f99ddce263acd7a85948c67fb0ccccf5f29af55c06d7870a3352c1a2f`

  </TabItem>
</Tabs>

</details> -->

<!--
## Alchemy Classic Legacy builds

### Beta 6.3.6.46705

<Tabs>
  <TabItem value="apple" label="Windows" default>

[Alchemy 64bit AVX](https://pkg.alchemyviewer.org/repository/viewer/alchemy/beta/6.3.6.46705/Alchemy_Beta_6_3_6_46705_x86_64_Setup.exe)
*SHA256(49dc061785dc4bb60c869dfab3df986f7ddb70567eca7a663a6b9be6b73ca5ae)*

[Alchemy 32bit SSE2](https://pkg.alchemyviewer.org/repository/viewer/alchemy/beta/6.3.6.46705/Alchemy_Beta_6_3_6_46705_i686_Setup.exe) 
*SHA256(4c6a21806cf945bb898d510c664225383b329ea569c8aa00e9707a218ad9ea0b)*
  </TabItem>
  <TabItem value="orange" label="macOS">

[Alchemy 64bit](https://pkg.alchemyviewer.org/repository/viewer/alchemy/beta/6.3.6.46699/Alchemy_Beta_6_3_6_46699_x86_64.dmg)
*SHA256(a6f7225891806266108bc06da82a53b26117b9a91a7fc9ca77fdfe7e29c8df7e)*

  </TabItem>
  <TabItem value="banana" label="Linux">

Coming Eventually. Someday.

  </TabItem>
</Tabs>

[📰 Release Notes](https://git.alchemyviewer.org/alchemy/alchemy/-/releases/6.3.6.46699-beta)
[🖥️ Source Code](https://git.alchemyviewer.org/alchemy-archive/alchemy)
-->


## Nightly Builds avaliable on Discord!

[Discord](https://discordapp.com/invite/KugCgs6)
