## Disclaimer

We reserve the right to change this Privacy Policy at any time. When the terms of this Privacy Policy change a notification will be posted onto the [front-page](http://www.alchemyviewer.org) of our website and in the [in-world-group](http://world.secondlife.com/group/8a5268a4-af8d-f2a5-6d82-29cd322210d1). The new terms are effective as of such notification.

## Information We Collect

In running and operating Alchemy Viewer or making use of our Websites we may collect and process certain data and information relating to you and your use of this service. This data and information is detailed below:

-   Details of visits to our website, that may assist us in understanding how visitors use our services and maintaining a security log of access.
-   Information that visitors provide to us as a result of filling in forms on our service, such as when a visitor registers for an account on the issue tracker, wiki, or other services provided.
-   Information provided to us by our visitors when they communicate with us electronically for any reason.
-   Automated crash reports that may be sent by the viewer to us.

## Information We Don't Collect

We do not have access to, nor collect in-world information that is considered private through your use of the Alchemy Viewer. Our definition of private information includes but is not limited to:

-   Passwords
-   Chat and Instant Messages
-   Notifications
-   Mute List
-   Friends List

## Information Collected By Third Parties

We use some services and embedded content from third parties, you can review their privacy policies at the following addresses:

-   [https://www.google.com/intl/en/privacy/](https://www.google.com/intl/en/privacy/)
-   [https://twitter.com/privacy/](https://twitter.com/privacy/)
-   [https://www.cloudflare.com/security-policy/](https://www.cloudflare.com/security-policy/)
-   [https://www.atlassian.com/legal/privacy-policy](https://www.atlassian.com/legal/privacy-policy)
-   [https://help.github.com/articles/github-privacy-policy](https://help.github.com/articles/github-privacy-policy)

## Use of Your Information

The information we collect will be used by us in developing our services and products. It can occasionally be used by third party embedded elements and also occasionally by advertisers on this service. In addition, we may use the information for the following purposes:

-   To provide you with information relating to our website or to Alchemy Viewer.
-   To notify you about any changes to our website or viewer, including improvements and service changes.

## Disclosure of Information

Your information may be disclosed to any member of the Alchemy Viewer team. Your information may also be disclosed as required by Law Enforcement or to deal with potential security issues.